summaryrefslogtreecommitdiff
path: root/net-p2p/sopcast-bin
diff options
context:
space:
mode:
Diffstat (limited to 'net-p2p/sopcast-bin')
-rw-r--r--net-p2p/sopcast-bin/Manifest3
-rw-r--r--net-p2p/sopcast-bin/metadata.xml10
-rw-r--r--net-p2p/sopcast-bin/sopcast-bin-3.2.6.ebuild35
3 files changed, 48 insertions, 0 deletions
diff --git a/net-p2p/sopcast-bin/Manifest b/net-p2p/sopcast-bin/Manifest
new file mode 100644
index 00000000..d00de8fd
--- /dev/null
+++ b/net-p2p/sopcast-bin/Manifest
@@ -0,0 +1,3 @@
+DIST sp-auth-3.2.6.tar.gz 345856 SHA256 6ea333b51898ee61f37903f20503358e8ee328cbd8b49d910fa7e0f23bf8a4a0 SHA512 9d9c547df24b30ffe7ee33d0783005eff3f8b90d0955f58faa8380102e10de8f9ab6098ff53ecacaa3c275bf7b206b98f6ae9a365abb362531a3d28888e666af WHIRLPOOL 21b7269c41e43ec292302bca97bf9d65f506649aaed751fe2777199cf866e94cdd324294d60a1c24202eb2e973214406f167b50cfb55282289b301ca3d9c4e0b
+EBUILD sopcast-bin-3.2.6.ebuild 820 SHA256 69cc95a86e84dea8704a6e2888352e7662bd43797cc2c94e1df951951c7cac03 SHA512 0087c8d79ac131b1f341b76269973b05cc7f7485abfd391c674a4e79dd4a09daa3401ffc8b96a32a1c6b2acee6be84ec8ddac211a917e09cf0e3a22cfd401cb4 WHIRLPOOL 615b3c7b3e7465d7564fc177644e2db8e0e77782988dee9105ff75805f8046f693ebaf85ec42202f4665a73e77c49ca8b9dbae7b9e1590c28c94616af8c7d0e3
+MISC metadata.xml 247 SHA256 883dd20701cb074b79a6a73acfa6f7e6c5a0dcafba8f506da3ac324327300d68 SHA512 e0386643908a6a23a6d064d752ea283fa16a243abf8e6ba19636e8702435ffd9c3c215f5cd9f60517ea63eb4d9112fd7291e1f422f96d70fad7ce7d2af1af718 WHIRLPOOL 0301b1dac67e156eaa7fbdeb66d0046d49a02095522c186566b92fc1f8bbc495880b5fac3793a6af9f5804a28ada22da789ceb605226203ad1a8690db7341dc1
diff --git a/net-p2p/sopcast-bin/metadata.xml b/net-p2p/sopcast-bin/metadata.xml
new file mode 100644
index 00000000..1b81a17b
--- /dev/null
+++ b/net-p2p/sopcast-bin/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd></herd>
+ <maintainer>
+ <email>lazy_bum@o2.pl</email>
+ <name>Piotr Szymaniak</name>
+ </maintainer>
+</pkgmetadata>
+
diff --git a/net-p2p/sopcast-bin/sopcast-bin-3.2.6.ebuild b/net-p2p/sopcast-bin/sopcast-bin-3.2.6.ebuild
new file mode 100644
index 00000000..94bcede2
--- /dev/null
+++ b/net-p2p/sopcast-bin/sopcast-bin-3.2.6.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils
+
+MY_P="sp-auth"
+
+DESCRIPTION="SopCast free P2P Internet TV binary"
+LICENSE="SopCast-unknown-license"
+HOMEPAGE="http://www.sopcast.com/"
+SRC_URI="http://sopcast-player.googlecode.com/files/${MY_P}-${PV}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+QA_PRESTRIPPED="opt/${PN}/${PN}"
+
+# All dependencies might not be listed, since the binary blob's homepage only lists libstdc++
+RDEPEND="amd64? ( app-emulation/emul-linux-x86-compat )
+ x86? ( >=virtual/libstdc++-3.3 )"
+
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_install() {
+ exeinto /opt/${PN}
+ newexe sp-sc-auth ${PN} || die "newexe failed"
+ dosym /opt/${PN}/${PN} /usr/bin/${PN}
+ dodoc Readme || die "dodoc failed"
+}